Page MenuHomePhabricator

MediaViewer crops bottom of images
Open, LowPublic1 Estimated Story Points

Description

Reported on-wiki:

Win 7: IE 11 & Chrome 40

In both IE and Chrome, MV loses a significant portion from the bottom of the picture it is displaying. I'm surprised that I (or no one else) hasn't noticed this before, so perhaps it is a new bug inadvertently caused by some other change. Additionally, in Chrome, toolbars obscure the top of the image (MV seems to be using the wrong number to calculate screen extent -- one that does not allow for the space taken by toolbars).

File:H2_tiling_23i-1.png in IE:

Chrome:

Can reproduce in Chrome 40/Ubuntu; possibly related to the recent removal of max-height which masked some calculation error.

Event Timeline

Tgr created this task.Feb 16 2015, 6:21 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a project: MediaViewer.
Tgr added a subscriber: Tgr.
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 16 2015, 6:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr updated the task description. (Show Details)Feb 16 2015, 6:25 AM
Tgr set Security to None.
Tgr renamed this task from MediaViewer crops images in Chrome 40 and IE 11 on Win7 to MediaViewer crops bottom of images.Feb 16 2015, 10:04 PM
Tgr triaged this task as Unbreak Now! priority.
Tgr updated the task description. (Show Details)
Tgr edited a custom field.Feb 18 2015, 1:06 AM
Tgr edited a custom field.Feb 18 2015, 1:13 AM
Tgr claimed this task.Feb 18 2015, 5:52 PM

Change 191545 had a related patch set uploaded (by Gergő Tisza):
Fix canvas height calculation

https://gerrit.wikimedia.org/r/191545

Patch-For-Review

Change 191545 merged by jenkins-bot:
Fix canvas height calculation

https://gerrit.wikimedia.org/r/191545

Tgr added a comment.EditedFeb 20 2015, 11:17 PM

Needs backport (scheduled).

Change 192025 had a related patch set uploaded (by Gergő Tisza):
Fix canvas height calculation

https://gerrit.wikimedia.org/r/192025

Patch-For-Review

Change 192027 had a related patch set uploaded (by Gergő Tisza):
Fix canvas height calculation

https://gerrit.wikimedia.org/r/192027

Patch-For-Review

Change 192025 merged by jenkins-bot:
Fix canvas height calculation

https://gerrit.wikimedia.org/r/192025

Change 192027 merged by jenkins-bot:
Fix canvas height calculation

https://gerrit.wikimedia.org/r/192027

Is there anything left to do here? All patches seem to be merged...

Tgr lowered the priority of this task from Unbreak Now! to High.Feb 24 2015, 12:39 AM

Backported. There is still a tiny (1px?) clipping sometimes, but only on some files on some pages. Compare:

That last one with the same file is puzzling. The only difference I can spot is that in one case there's a left paddle because it's not the first image on the page, in the second case there isn't because we're on the file page.

I tried isolating this difference and it's not the cause:
https://en.wikipedia.org/wiki/User:GDubuc_%28WMF%29/cubetest#mediaviewer/File:Uniform_tiling_74-t01.png

These tests in a vacuum show the correct unclipped version.

Must be something on that article, or a timing issue.

Qgil removed a subscriber: Qgil.Feb 25 2015, 12:22 PM
Tgr added a comment.Feb 25 2015, 7:58 PM

I don't think it's a timing issue, it's very deterministic on multiple sites and browsers. Also it's the size of the image that is wrong, so it's not a local CSS difference (or only to the extent that it confuses size calculation - .mw-mmv-above-fold has the exact same dimensions though).

Anyway this is mild enough that we can leave it for later.

Is any further work planned here "soon" (as it's not part of any sprint but still priority=high)?

Gilles lowered the priority of this task from High to Low.Mar 3 2015, 2:17 PM

Lowering the priority, this is now only 1 or 2 pixels of height being cut off sometimes, it was originally a significant portion of the image.

Tgr removed Tgr as the assignee of this task.Apr 3 2015, 6:21 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:53 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 5:53 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Tgr removed a subscriber: Tgr.Jul 9 2019, 6:03 PM